Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gtk update, two versions installed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
redmaniac
n00b
n00b


Joined: 21 Sep 2011
Posts: 39

PostPosted: Thu Oct 04, 2012 6:31 pm    Post subject: gtk update, two versions installed Reply with quote

Hi,

I just emerged a gtk update. I expreienced some odd behavios (some icons in my panels and menu suddenly became really large). It seems that xfce just stopped scaling them down to a proper size.

So I looked into the situation a little and I saw this:

Code:

eix -I gtk
[I] x11-libs/gtk+
     Available versions: 
   (1)   1.2.10-r12
   (2)   2.24.10-r1 2.24.12 ~2.24.13
   (3)   3.0.12-r1 3.2.4-r1 (~)3.4.4 [M]~3.6.0
   {{X aqua colord cups debug doc egl examples +introspection linguas_az linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_es linguas_et linguas_eu linguas_fi linguas_fr linguas_ga linguas_gl linguas_hr linguas_hu linguas_it linguas_ja linguas_ko linguas_lt linguas_nl linguas_nn linguas_no linguas_pl linguas_pt linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sr linguas_sv linguas_tr linguas_uk linguas_vi nls packagekit test vim-syntax wayland xinerama}}
     Installed versions:  2.24.12(2)(06:54:18 PM 10/04/2012)(cups introspection -aqua -debug -doc -examples -test -vim-syntax -xinerama) 3.4.4(3)(06:55:45 PM 10/04/2012)(X cups introspection -aqua -colord -debug -doc -examples -packagekit -test -vim-syntax -wayland -xinerama)
     Homepage:            http://www.gtk.org/
     Description:         Gimp ToolKit +


which tells me I seem to have two versions of gtk installed at the same time. That seems odd to me. emerge -pc doesn't want to get rid of the old one, so I assume that some package still requires it.

I did an
Code:
equery depends x11-libs/gtk+-3.4.4
and
Code:
equery depends x11-libs/gtk+-2.24.12
saved the output to two files and diff'ed them... no difference.

I hesitate to just remove the old version by hand. Is there any way to tell if the old version is still in use? The sudden change in behavior around the icons seems to suggest that the new version is at work somehow.

Any pointer where I might look?

Cheers
redmaniac

p.s.

I should point out that revdep-rebuild found nothing to do, which I also find strange after such a major update.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2247

PostPosted: Thu Oct 04, 2012 10:08 pm    Post subject: Reply with quote

redmaniac ...

you should use 'equery depends x11-libs/gtk+:2' for the slot. I imagine it is only packages with a gtk3 useflag that will build with gtk+:3 so more than likely you will need both gtk+:2 and gtk+:3. However, I don't think this is the source of your problem as x11-libs/gdk-pixbuf, and x11-themes/gnome-icon-theme will have been updated at the same time, and my guess would be the latter which is the root of the problem.

best ... khay
Back to top
View user's profile Send private message
redmaniac
n00b
n00b


Joined: 21 Sep 2011
Posts: 39

PostPosted: Fri Oct 05, 2012 5:50 am    Post subject: Reply with quote

Ah cool, yes that makes sense.

However, I don't think that gnome-icon-theme is the problem. The only icon that causes trouble is that of eclipse. Eclipse ships with it's own icon, so that must have always had those insane dimension (something like 400 x 400). It seems that it just scaled down before.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2247

PostPosted: Fri Oct 05, 2012 6:03 am    Post subject: Reply with quote

redmaniac ...

in which case x11-libs/gdk-pixbuf (the image loading library for gtk+) ... from the above it sounded as though all icons were effected, if its just the one then it'd suggest replacing it.

best ... khay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum